# js-to-sourcemap
A library to convert JavaScript code into a sourcemap.

# Usage
## Node
```js
const sm = require("js-to-sourcemap");
console.log(sm("console.log('Hello, World!')", "<some_source>")); 
// second argument (source) is optional
// outputs: 
//# sourceMappingURL=data:application/json;base64,eyJ2ZXJzaW9uIjozLCJzb3VyY2VzIjpbIjxhbm9ueW1vdXM+Il0sIm5hbWVzIjpbXSwibWFwcGluZ3MiOiJBQUFBIiwiZmlsZSI6ImJ1bmRsZS5qcyIsInNvdXJjZVJvb3QiOiIiLCJzb3VyY2VzQ29udGVudCI6WyJjb25zb2xlLmxvZygnSGVsbG8sIFdvcmxkIScpIl19
```
## Browser
```html
<!DOCTYPE HTML>
<html>

<head>
    <script src="https://unpkg.com/js-to-sourcemap@1.0.0/index.js"></script>
</head>

<body>
    <script>
        console.log(js_to_sourcemap("console.log('Hello, World!')", "<some_source>"))
        // second argument (source) is optional
        // outputs: 
        //# sourceMappingURL=data:application/json;base64,eyJ2ZXJzaW9uIjozLCJzb3VyY2VzIjpbIjxhbm9ueW1vdXM+Il0sIm5hbWVzIjpbXSwibWFwcGluZ3MiOiJBQUFBIiwiZmlsZSI6ImJ1bmRsZS5qcyIsInNvdXJjZVJvb3QiOiIiLCJzb3VyY2VzQ29udGVudCI6WyJjb25zb2xlLmxvZygnSGVsbG8sIFdvcmxkIScpIl19
    </script>
</body>

</html>
```